Subject: Re: bug#56527: 28.1; Crash on macOS with magit

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jul 2022 22:09:43 +0300

> From: Jonathan Mitchell <[email-masked]>
> Date: Thu, 14 Jul 2022 13:42:35 -0500
> Cc: [email-masked]
> 
> I guess it could be an Apple quality problem :-). Unless I'm reading LLDB incorrectly, it says m->charpos = 0
> for that frame.

If some code does that, it's a bug, and we should try to find it.  I'm
just astonished that we have such bugs in such a basic infrastructure.

The reason I asked about memory problems is that m->bytepos is
reasonable.  So it isn't like some code stored the invalid zero buffer
position there, it's something that corrupted the marker.  I thought
about GC or free'd memory, but that is at odds with the valid buffer
pointer and a reasonable bytepos.  So strange...  And why you are the
only one who sees these problems?  A hardware problem can nicely
explain all of those.